<?php
/******************************************************************************
 * File:				category.php
 * Description:			add, edit or delete categories
 * Author:				Thorsten Rinne		thorsten@rinne.info
 * Date:				2003-04-22
 * Last change:			2004-01-24
 * Copyright:           (c) 2001-2002 Thorsten Rinne und Bastian Pttner
 *                      (c) 2001-2004 Thorsten RInne
 * 
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 ******************************************************************************/
if ($_REQUEST["do"] == "write" && allowed(GetRight("addcateg"),$auth_user) == 1) {
	// Kategorie hinzufgen
	$categories = getCategories();
	print "<h3>".$ad_categ_new."</h3>";
?>
	<form action="<?php print $_SERVER["PHP_SELF"].$linkext; ?>" method="post">
	<input type="hidden" name="aktion" value="rubrik">
	<input type="hidden" name="do" value="save">
	<input type="hidden" name="rubrik" value="<?php if (isset($_REQUEST["rubrik"])) { print $_REQUEST["rubrik"]; } ?>">
	<table width="550" cellspacing="1" cellpadding="5" border="0">
	<tr>
		<td valign="baseline"><?php print $msgMainCategory; ?></td>
		<td><?php if (isset($_REQUEST["rubrik"])) { print $categories[$_REQUEST["rubrik"]]; } ?></td>
	</tr>
	<tr>
		<td valign="baseline"><?php print $ad_categ_titel; ?></td>
		<td><input type="text" name="titel" size="30"></td>
	</tr>
	<tr>
		<td colspan="2" align="center"><input class="submit" type="submit" name="submit" value="<?php print $ad_categ_add ?>"></td>
	</tr>
	</table>
	</form>
<?php
	}
elseif ($_REQUEST["do"] == "write" && allowed(GetRight("addcateg"),$auth_user) != 1) {
	na();
	}

if ($_REQUEST["do"] == "move" && allowed(GetRight("editcateg"), $auth_user) == 1) {
	// Kategorie verschieben
	$from = $_REQUEST["id"];
	$to = $_REQUEST["previd"];
	$tempCat = "TEMP";
	
	print "<p>".$ad_categ_process;
	
	$db->query("UPDATE ".$sqltblpre."faqrubrik SET rubrik = '".$tempCat."' WHERE rubrik = '".$to."'");
	$db->query("UPDATE ".$sqltblpre."faqdata SET rubrik = '".$tempCat."' WHERE rubrik = '".$to."'");
	$db->query("UPDATE ".$sqltblpre."faqfragen SET ask_rubrik = '".$tempCat."' WHERE ask_rubrik = '".$to."'");
	
	$db->query("UPDATE ".$sqltblpre."faqrubrik SET rubrik = '".$to."' WHERE rubrik = '".$from."'");
	$db->query("UPDATE ".$sqltblpre."faqdata SET rubrik = '".$to."' WHERE rubrik = '".$from."'");
	$db->query("UPDATE ".$sqltblpre."faqfragen SET ask_rubrik = '".$to."' WHERE ask_rubrik = '".$from."'");
	
	$db->query("UPDATE ".$sqltblpre."faqrubrik SET rubrik = '".$from."' WHERE rubrik = '".$tempCat."'");
	$db->query("UPDATE ".$sqltblpre."faqdata SET rubrik = '".$from."' WHERE rubrik = '".$tempCat."'");
	$db->query("UPDATE ".$sqltblpre."faqfragen SET ask_rubrik = '".$from."' WHERE ask_rubrik = '".$tempCat."'");
	
	print " okay!</p>\n";
    print "<p><img src=\"images/arrow.gif\" width=\"11\" height=\"11\" alt=\"\" border=\"0\"> <a href=\"".$_SERVER["PHP_SELF"].$linkext."&amp;aktion=rubrik&amp;do=edit\">".$ad_menu_categ_edit."</a></p>\n";
	}

if ($_REQUEST["do"] == "edit" && allowed(GetRight("editcateg"),$auth_user) == 1) {
	// Kategorie editieren
	$categories = getCategories();
	if (!isset($_REQUEST["id"])) {
?>
	<h3><?php print $ad_categ_existing; ?></h3>
<?php
		$result = $db->query("SELECT rubrik, titel FROM ".$sqltblpre."faqrubrik ORDER BY rubrik");
        
        $old = 0;
		$previousCat = 0;
		while (list($rubrik, $titel) = $db->fetch_row($result)) {
			
			if (strlen($rubrik) > $old) {
				print str_repeat("<ul>", (strlen($rubrik) - $old) / 3);
				$old = strlen($rubrik);
				}
			
			if (strlen($rubrik) < $old) {
				print str_repeat("</ul>", ($old - strlen($rubrik)) / 3);
				$old = strlen($rubrik);
				}
			
			print "<li>".$titel." [	<a href=\"".$_SERVER["PHP_SELF"].$linkext."&amp;aktion=rubrik&amp;do=delete&amp;delrubrik=".$rubrik."\">".$ad_categ_delete."</a>, <a href=\"".$_SERVER["PHP_SELF"].$linkext."&amp;aktion=rubrik&amp;do=write&amp;rubrik=".$rubrik."\">".$ad_kateg_add."</a>, <a href=\"".$_SERVER["PHP_SELF"].$linkext."&amp;aktion=rubrik&amp;do=edit&amp;id=".$rubrik."\">".$ad_kateg_rename."</a>";
			if ($previousCat != 0) {
				print ", <a href=\"".$_SERVER["PHP_SELF"].$linkext."&amp;aktion=rubrik&amp;do=move&amp;id=".$rubrik."&amp;previd=".$previousCat."\"><img src=\"images/down.gif\" width=\"11\" height=\"11\" alt=\"\" border=\"0\"></a>";
				}
			print " ]\n";
			$previousCat = $rubrik;
			}
		print str_repeat("</ul>", ($old - strlen($rubrik)) / 3);
?>
	<p><img src="images/arrow.gif" width="11" height="11" alt="" border="0"> <a href="<?php print $_SERVER["PHP_SELF"].$linkext."&amp;aktion=rubrik&amp;do=write"; ?>"><?php print $ad_kateg_add; ?></a></p>
	<p><?php print $ad_categ_remark; ?></p>
<?php
		}
	elseif ($_REQUEST["id"] != "") {
		print "<h3>".$ad_categ_edit_1." <i>".$categories[$_REQUEST["id"]]."</i> ".$ad_categ_edit_2."</h3>";
		$result = $db->query("SELECT rubrik, titel FROM ".$sqltblpre."faqrubrik WHERE rubrik = '".$_REQUEST["id"]."'"); 
		list($rubrik, $titel) = $db->fetch_row($result);
?>
	<form action="<?php print $_SERVER["PHP_SELF"].$linkext; ?>" method="post">
	<input type="hidden" name="aktion" value="rubrik">
	<input type="hidden" name="do" value="update">
	<input type="hidden" name="id" value="<?php print $_REQUEST["id"]; ?>"> 
	<table width="550" cellspacing="0" cellpadding="0" border="0">
	<tr>
		<td>
		<table width="550" cellspacing="1" cellpadding="5" border="0">
		<tr>
   				<td valign="baseline"><?php print $ad_categ_titel; ?></td>
   				<td><input type="text" name="titel" size="30" value="<?php print $titel; ?>"></td>
		</tr>
		<tr>
   				<td colspan="2" align="center"><input class="submit" type="submit" name="submit" value="<?php print $ad_categ_updatecateg; ?>"></td>
		</tr>
		</table>
		</td>
	</tr>
	</table>
	</form>
<?php
		}
	}
elseif ($_REQUEST["do"] == "edit" && allowed(GetRight("editcateg"),$auth_user) != 1) {
	na();
	}

if ($_REQUEST["do"] == "save" && allowed(GetRight("addcateg"),$auth_user) == 1) {
	// Kategorie hinzufgen
	AddCategory($_REQUEST["rubrik"], $_REQUEST["titel"]);
  	print "<p>".$ad_categ_added."</p>";
    print "<p><img src=\"images/arrow.gif\" width=\"11\" height=\"11\" alt=\"\" border=\"0\"> <a href=\"".$_SERVER["PHP_SELF"].$linkext."&amp;aktion=rubrik&amp;do=edit\">".$ad_menu_categ_edit."</a></p>\n";
	}
elseif ($_REQUEST["do"] == "save" && allowed(GetRight("addcateg"),$auth_user) != 1) {
	na();
	}

if ($_REQUEST["do"] == "update" && allowed(GetRight("editcateg"),$auth_user) == 1) {
	// Kategorie aktualisieren
	$result = $db->query("UPDATE ".$sqltblpre."faqrubrik SET titel = '".$_REQUEST["titel"]."', datum = '".date("YmdHis")."' WHERE rubrik = '".$_REQUEST["id"]."'");
   	print "<p>".$ad_categ_updated."</p>\n";
    print "<p><img src=\"images/arrow.gif\" width=\"11\" height=\"11\" alt=\"\" border=\"0\"> <a href=\"".$_SERVER["PHP_SELF"].$linkext."&amp;aktion=rubrik&amp;do=edit\">".$ad_menu_categ_edit."</a></p>\n";
	}
elseif ($_REQUEST["do"] == "update" && allowed(GetRight("editcateg"),$auth_user) != 1) {
	na();
	}

if ($_REQUEST["do"] == "delete" && allowed(GetRight("delcateg"),$auth_user) == 1) {
	// Kategorie lschen
	if (!isset($_REQUEST["really"])) {
?>
	<p align="center"><b><?php print $ad_categ_deletesure ?></b></p>
	<div align="center">
	<form action="<?php print $_SERVER["PHP_SELF"].$linkext; ?>" method="post">
	<input type="hidden" name="aktion" value="rubrik">
	<input type="hidden" name="do" value="delete">
	<input type="hidden" name="delrubrik" value="<?php print $_REQUEST["delrubrik"]; ?>">
	<input type="hidden" name="really" value="yes">
	<input class="submit" type="submit" name="submit" value="<?php print $ad_categ_del_yes ?>" style="color: Red;">&nbsp;&nbsp;
	<input class="submit" type="Reset" value="<?php print $ad_categ_del_no ?>">
	</form>
	</div>
<?php
		}
	elseif (isset($_REQUEST["really"]) && $_REQUEST["really"] == "yes") {
		$result = $db->query("DELETE FROM ".$sqltblpre."faqrubrik WHERE LEFT(rubrik, ".strlen($_REQUEST["delrubrik"]).") = '".$_REQUEST["delrubrik"]."'");
		print "<p>".$ad_categ_deleted."</p>";
        print "<p><img src=\"images/arrow.gif\" width=\"11\" height=\"11\" alt=\"\" border=\"0\"> <a href=\"".$_SERVER["PHP_SELF"].$linkext."&amp;aktion=rubrik&amp;do=edit\">".$ad_menu_categ_edit."</a></p>\n";
		}
	}
elseif ($_REQUEST["do"] == "delete" && allowed(GetRight("delcateg"),$auth_user) != 1) {
	na();
	}