<?php

// Configuration of the Galaxia Workflow Engine
global $conn, $smarty, $appconf, $myEnv;

$smarty->plugins_dir = array(     // the directory order must be like this to overload a plugin
     dirname(__FILE__)."/smarty_workflow_plugins",
     SMARTY_DIR."plugins"
);
$smarty->load_filter('pre', 'tr');

include_once('inc/Galaxia/config.php');

function tra($content) {
// function for translation of an error message given as argument
// for now we return the same message
  return $content;
}

// Retrieve the current user
global $username;
if (isset($_SESSION["MGW"]->username)) {
   $username = $_SESSION["MGW"]->username;
   $userid = $_SESSION["MGW"]->userid;
} else {
   $username="Anonymous";
   $userid=-1;
}
                                                                                
// Some other variables used inside Galaxia
$feature_help = 'n';
$feature_workflow = 'y';
if (queryRights2_bool('root_modules_workflow_admin')) {
   $tiki_p_admin_workflow = 'y';
} else {
   $tiki_p_admin_workflow = 'n';
}
if (queryRights2_bool('root_modules_workflow_accessmodule')) {
   $tiki_p_use_workflow = 'y';
} else {
   $tiki_p_use_workflow = 'n';
}
if (queryRights2_bool('root_modules_workflow_instances_abort')) {
   $tiki_p_abort_instance = 'y';
} else {
   $tiki_p_abort_instance = 'n';
}
if (queryRights2_bool('root_modules_workflow_instances_exception')) {
   $tiki_p_exception_instance = 'y';
} else {
   $tiki_p_exception_instance = 'n';
}
$feature_debug_console = 'n';
$smarty->assign('feature_workflow', $feature_workflow);
$smarty->assign('username', $username);
$smarty->assign('contentheader', "Workflow module");
$smarty->assign('tiki_p_abort_instance',$tiki_p_abort_instance);
$smarty->assign('tiki_p_exception',$tiki_p_exception_instance);

$maxRecords = 20;
$direct_pagination = 'y';
?>
