<?php
/******************************************************************************
 * Datei:				artikel.php
 * Autor:				Thorsten Rinne			thorsten@rinne.info
 * Contributors:		Meikel Katzengreis		meikel@katzengreis.com
 * Datum:				2002-08-27
 * Letzte nderung:		2004-01-19
 * Copyright:           (c) 2001-2002 Thorsten Rinne und Bastian Pttner
 *                      (c) 2001-2004 Thorsten Rinne
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 ******************************************************************************/

/* bergebene Variablen berprfen */
if (isset($_GET["rubrik"]) && checkIntVar($_GET["rubrik"]) == TRUE) {
	$rubrik = $_REQUEST["rubrik"];
	}
if (isset($_GET["id"]) && checkIntVar($_GET["id"]) == TRUE) {
	$id = $_REQUEST["id"];
	}
if (isset($_REQUEST["lang"])) {
	$lang = $_REQUEST["lang"];
	}

Tracking("artikelview", $id);
$categories = getCategories();
$rubriktext = $categories[$rubrik];

/* HTML-Links */
$writePrintMsg			= "<a href=\"javascript:printarticle();\">".$msgPrinterFriendly."</a>";
$writePDF 				= "<a target=\"_blank\" href=\"pdf.php?id=".$id."&amp;lang=".$lang."\"> ".$msgPDF."</a>";
$writeSend2FriendMsg 	= "<a href=\"".$_SERVER["PHP_SELF"]."?".$sids."aktion=send2friend&amp;rubrik=".$rubrik."&amp;id=".$id."&amp;lang=".$lang."\">".$msgSend2Friend."</a>";
$writeXMLMsg			= "<a href=\"".$_SERVER["PHP_SELF"]."?".$sids."aktion=xml&amp;id=".$id."&amp;lang=".$lang."\">".$msgMakeXMLExport."</a>";
$changeLanguagePATH		= $_SERVER["PHP_SELF"]."?".$sids."aktion=artikel&amp;rubrik=".$rubrik."&amp;id=".$id;
$writeCommentMsg		= $msgYouCan."<a href=\"".$_SERVER["PHP_SELF"]."?".$sids."aktion=writecomment&amp;id=".$id."&amp;lang=".$lang."\">".$msgWriteComment."</a>";
$writeListMsg			= $msgShowCategory."<a href=\"".$_SERVER["PHP_SELF"]."?".$sids."aktion=anzeigen&amp;rubrik=".$rubrik."\">".$rubriktext."</a>";
$saveVotingPATH			= $_SERVER["PHP_SELF"]."?".$sids."aktion=savevoting";

/* get the record from the database */
$output = "";
$comment = "";
$result = $db->query("SELECT id, content, datum, author, email, comment FROM ".$sqltblpre."faqdata WHERE id = '".$id."' AND lang = '".$lang."' AND active = 'yes'");
while ($row = $db->fetch_object($result)) {
	$id = $row->id;
	$comment = $row->comment;
	logViews($id, $lang);
	if ($ubbcode == "true") {
		$output .= nl2br(parseUBB($row->content));
		}
	else {
		$output .= nl2br(stripslashes(safeHTML($row->content)));
		}
	$attpfad = EndSlash($attpfad);
	$attlink = EndSlash($attlink);
	
	if ($attpfad != "" && $attlink != "" && @is_dir($attpfad)  && @is_dir($attpfad.$id) && $disatt) {
		$files = 0;
		$outstr = "";
		$dir = opendir($attpfad.$id);
		
		while ($dat = readdir($dir)) {
			if ($dat != "." && $dat != "..") {
				$files++;
				$outstr .= "<a href=\"".$attlink.$id."/".$dat."\" target=\"_blank\">".$dat."</a>, ";
				}
			}
		if ($files > 0) {
			$output .= "<p>".$msgAttachedFiles." ".substr($outstr, 0, -2)."</p>";
			}
		}
	$writeDateMsg = makeDate($row->datum);
	$writeAuthor = $row->author;
	}

$content = preg_replace_callback("{(<pre>.*</pre>)}siU", "pre_core", $output);
$content = preg_replace_callback("{(<pre+.*</pre>)}siU", "pre_core", $output);

if (isset($_REQUEST["highlight"]) && $_REQUEST["highlight"] != "/" && $_REQUEST["highlight"] != "<" && $_REQUEST["highlight"] != ">") {
    $highlight = $_REQUEST["highlight"];
    $highlight = str_replace("/", "\/", $highlight);
    $content = preg_replace('/(((href|src)="[^"]*)?'.$highlight.'(?(1).*"))/umies', "highlight_no_links(\"\\1\")", $content);
	}

$arrLanguage = check4Language($id);
$switchLanguage = "";
$check4Lang = "";
if (count($arrLanguage) > 1) {
	foreach ($arrLanguage as $language) {
		$check4Lang .= "<option value=\"".$language."\">".$language."</option>\n";
		}
	$switchLanguage .= "<tr>\n";
	$switchLanguage .= "<td colspan=\"2\">\n";
	$switchLanguage .= "<form action=\"".$changeLanguagePATH."\" method=\"post\" style=\"display: inline;\">\n";
	$switchLanguage .= "<select name=\"lang\" size=\"1\">\n";
	$switchLanguage .= $check4Lang;
	$switchLanguage .= "</select>\n";
	$switchLanguage .= "&nbsp;\n";
	$switchLanguage .= "<input class=\"submit\" type=\"submit\" name=\"submit\" value=\"".$msgLangaugeSubmit."\" />\n";
	$switchLanguage .= "</form>\n";
	$switchLanguage .= "</td>\n";
	$switchLanguage .= "</tr>\n";
	}

$myComment = $writeCommentMsg;
if ($comment == "n") {
	$myComment = $msgWriteNoComment;
	}

/* Template-Variablen zuweisen */
$tpl->processTemplate ("writeContent", array(
				"writeRubrik" => stripslashes($rubriktext),
				"writeThema" => stripslashes(getThema($id, $lang)),
				"writeContent" => $content,
				"writeDateMsg" => $msgLastUpdateArticle.$writeDateMsg,
				"writeAuthor" => $msgAuthor.$writeAuthor,
				"writePrintMsg" => $writePrintMsg,
				"writePDF" => $writePDF,
				"writeSend2FriendMsg" => $writeSend2FriendMsg,
				"writeXMLMsg" => $writeXMLMsg,
				"saveVotingPATH" => $saveVotingPATH,
				"saveVotingID" => $id,
				"saveVotingIP" => $_SERVER["REMOTE_ADDR"],
				"msgAverageVote" => $msgAverageVote,
				"printVotings" => generateVoting($id),
				"switchLanguage" => $switchLanguage,
				"msgVoteUseability" => $msgVoteUseability,
				"msgVoteBad" => $msgVoteBad,
				"msgVoteGood" => $msgVoteGood,
				"msgVoteSubmit" => $msgVoteSubmit,
				"writeCommentMsg" => $myComment,
				"writeListMsg" => $writeListMsg,
				"writeComments" => generateComments($id)
				));

/* Templates zusammensetzen */
$tpl->includeTemplate("writeContent", "index");

?>