<?php
/* french.php - french language file */

$metaCharset 				= "iso-8859-1";
$metaLanguage 				= "fr";

// Navigation
$msgCategory            	= "Cat&eacute;gories";
$msgShowAllCategories   	= "Voir toutes les cat&eacute;gories";
$msgSearch              	= "Chercher";
$msgAddContent          	= "Ajouter contenu";
$msgQuestion            	= "Poser question";
$msgOpenQuestions       	= "Questions ouvertes";
$msgHelp                	= "Aide";
$msgContact             	= "Contact";
$msgHome                	= "Accueil";
$msgNews                	= "FAQ-News";
$msgUserOnline          	= " Utilisateurs en ligne";
$msgXMLExport           	= "Fichier XML";
$msgBack2Home				= "retour &agrave; l'accueil";

// Contentpages
$msgFullCategories      	= "Cat&eacute;gories avec entr&eacute;es";
$msgFullCategoriesIn      	= "Cat&eacute;gories avec entr&eacute;es en ";
$msgSubCategories       	= "Sous cat&eacute;gories";
$msgEntries             	= "Entr&eacute;es";
$msgEntriesIn 				= "Entr&eacute;es en ";
$msgViews               	= "affichages";
$msgPage                	= "Page ";
$msgPages               	= " Pages";
$msgPrevious            	= "pr&eacute;c&eacute;dent";
$msgNext                	= "suivant";
$msgCategoryUp				= "une cat&eacute;gorie plus haut";
$msgLastUpdateArticle   	= "Derni&egrave;re mise &agrave; jour: ";
$msgAuthor					= "Auteur: ";
$msgPrinterFriendly     	= "version imprimable";
$msgPrintArticle        	= "Imprimer cet article";
$msgMakeXMLExport       	= "exporter en fichier XML";
$msgAverageVote         	= "Moyenne des notes:";
$msgVoteUseability     		= "Veuillez noter cet article:";
$msgVoteFrom            	= "de";
$msgVoteBad             	= "compl&egrave;tement <br>inutile";
$msgVoteGood            	= "assez<br>utile";
$msgVotings					= "Votes";
$msgVoteSubmit          	= "Vote";
$msgVoteThanks          	= "Merci pour votre vote!";
$msgYouCan              	= "Vous pouvez ";
$msgWriteComment        	= "Commenter cet article";
$msgShowCategory        	= "Affichage du contenu: ";
$msgCommentBy           	= "Comment&eacute; par ";
$msgCommentHeader       	= "Commenter cet article ";
$msgYourComment         	= "Vos commentaires:";
$msgCommentThanks       	= "Merci pour votre commentaire!";
$msgSeeXMLFile          	= "ouvrir fichier XML ";
$msgSend2Friend			= "Envoyer &agrave; un ami ";
$msgS2FName				= "Votre nom:";
$msgS2FEMail			= "Votre adresse e-mail:";
$msgS2FFriends			= "Votre ami:";
$msgS2FEMails			= ". adresse e-mail:";
$msgS2FText				= "Le texte suivant va &ecirc;tre envoy&eacute;:";
$msgS2FMessage			= "Votre message suppl&eacute;mentaire pour votre ami:";
$msgS2FButton			= "Envoyer e-mail";
$msgS2FThx				= "Merci pour votre recommandation!";
$msgS2FMailSubject		= "Recommandation de ";

// Search
$msgSearchWord          	= "Mots-clef";
$msgSearchFind          	= "R&eacute;sultat de recherche pour ";
$msgSearchAmount        	= " r&eacute;slultat de recherche";
$msgSearchAmounts       	= " r&eacute;slultats de recherche";
$msgSearchCategory      	= "Cat&eacute;gorie: ";
$msgSearchContent       	= "Contenu: ";

// new Content
$msgNewContentHeader    	= "Proposition de FAQ";
$msgNewContentAddon     	= "Votre proposition ne va pas va &ecirc;tre publi&eacute;e imm&eacute;diatement, mais sera ouverte par un administrateur. Les champs requis sont <b>votre nom</b>, <b>votre adresse e-mail</b>, <b>la cat&eacute;gorie</b>, <b>le th&eacute;me</b> et <b>votre article</b>. Veuillez simplement s&eacute;parer chaque mot par un espace.";
$msgNewContentUBB       	= "<p>Vous pouvez utiliser les codes UBB dans votre article. <a href=\"help/ubbcode.php\" target=\"_blank\">L'aide &agrave; propos des codes UBB</a></p>";
$msgNewContentName      	= "Votre nom:";
$msgNewContentMail      	= "Votre adresse e-mail:";
$msgNewContentCategory  	= "Dans quelle cat&eacute;gorie entre votre article?";
$msgNewContentTheme     	= "Titre:";
$msgNewContentArticle   	= "Votre article de FAQ:";
$msgNewContentKeywords  	= "Mots-clef:";
$msgNewContentLink      	= "Lien vers cet article";
$msgNewContentSubmit    	= "Envoyer";
$msgInfo                	= "Plus d'informations sous: ";
$msgNewContentThanks    	= "Merci pour votre suggestion!";
$msgNoQuestionsAvailable	= "Actuellement il n'y a pas de nouvelles questions.";

// ask Question
$msgNewQuestion         	= "Dans cette page, vous pouvez poser vos questions.";
$msgAskCategory        		= "Questions sur un article";
$msgAskYourQuestion     	= "Votre question:";
$msgAskThx4Mail         	= "<h2>Merci pour votre e-mail!</h2>";
$msgDate_User           	= "Date / Utilisateur";
$msgQuestion2           	= "Question";
$msg2answer             	= "r&eacute;pondre";
$msgQuestionText        	= "Ici, vous pouvez voir des questions d'autres personnes. Vous pouvez &eacute;crire vos r&eacute;ponses &agrave; ces questions, votre article sera ins&eacute;r&eacute; dans la FAQ.";

// Help
$msgHelpText            	= "<p>La FAQ (<b>F</b>requently <b>A</b>sked <b>Q</b>uestions - Questions Souvent Pos&eacute;es) est assez simplement structur&eacute;e. Vous pouvez effectuer une recherche <b><a href=\"".$_SERVER["PHP_SELF"]."?sid=".isset($_GET["sid"])."&amp;aktion=afficher\">cat&eacute;gories</a></b> ou bien laisser la <b><a href=\"".$_SERVER["PHP_SELF"]."?sid=".isset($_GET["sid"])."&amp;aktion=chercher\">FAQ search engine</a></b> chercher des mots clefs.</p>";

// Contact
$msgContactEMail			= "envoyer un mail au webmaster:";
$msgMessage					= "Votre message:";

// Startseite
$msgNews					= " Nouveaut&eacute;s";
$msgTopTen					= "TOP 10";
$msgHomeThereAre        	= "Il y a ";
$msgHomeArticlesOnline  	= " enregistrements en ligne";
$msgNoNews              	= "Il n'y a pas de nouveaut&eacute;s disponibles.";
$msgLatestArticles      	= "Les 5 derni&egrave;res publications:";

// E-Mailbenachrichtigung
$msgMailThanks          	= "Merci pour votre proposition pour la FAQ.";
$msgMailCheck           	= "Il y a une nouvelle publication dans la FAQ!\nVeuillez consulter la section d'administration!";
$msgMailContact         	= "Votre message a &eacute;t&eacute; envoy&eacute; &agrave; l'administrateur!";

// Fehlermeldungen
$err_noDatabase         	= "Pas de connection &agrave; la base de donn&eacute;es!";
$err_noHeaders          	= "Cat&eacute;gorie non trouv&eacute;e!";
$err_noArticles         	= "<p>Il n'y a pas encore d'article.</p>";
$err_badID              	= "<p>Mauvais identifiant!</p>";
$err_noTopTen           	= "<p>Pas de TOP 10 disponible actuellement.</p>";
$err_nothingFound       	= "<p>Pas d'entr&eacute;e trouv&eacute;e.</p>";
$err_SaveEntries        	= "Les champs requis sont <b>votre nom</b>, <b>votre adresse e-mail</b>, <b>cat&eacute;gorie</b>, <b>titre</b> et <b>votre article</b>!<br><br>\n<a href=\"javascript:history.back();\">retour d'une page</a><br><br>\n";
$err_SaveComment        	= "Les champs requis sont <b>votre nom</b>, <b>votre adresse e-mail</b> et <b>vos commentaires</b>!<br><br>\n<a href=\"javascript:history.back();\">retour d'une page</a><br><br>\n";
$err_VoteTooMuch        	= "<p>Nous ne comptons pas les doubles votes. <a href=\"javascript:history.back();\">Cliquez ici</a>, afin de retourner en arri&egrave;re.</p>";
$err_noVote             	= "<p><b>Vous n'avez pas vot&eacute;!</b> <a href=\"javascript:history.back();\">Veuillez cliquer ici</a>, afin de voter.</p>";
$err_noMailAdress       	= "Votre adresse email n'est pas correcte.<br /><a href=\"javascript:history.back();\">retour</a>";
$err_sendMail           	= "Les champs requis sont <b>votre nom</b>, <b>votre adresse e-mail</b> et <b>votre question</b>!<br><br>\n<a href=\"javascript:history.back();\">retour d'une page</a><br><br>\n";

// Hilfe zur Suche
$help_search            	= "<p><b>Ainsi, vous trouverez un article:</b><br>Avec l'entr&eacute;e <b style=\"color: Red;\">Terme1 Terme2</b> on peut chercher plusieurs termes.</p><p><b>Note:</b> Votre terme de recherche doit contenir au moins 4 lettres.</p>";

// Men&uuml;
$ad                     	= "SECTION ADMIN";
$ad_menu_user_administration = "Administration des utilisateurs";
$ad_menu_entry_aprove   	= "Approuver article";
$ad_menu_entry_edit     	= "Editer article";
$ad_menu_categ_add      	= "Ajouter cat&eacute;gorie";
$ad_menu_categ_edit     	= "Editer cat&eacute;gorie";
$ad_menu_news_add       	= "Ajouter Nouveaut&eacute;s";
$ad_menu_news_edit      	= "Editer Nouveaut&eacute;s";
$ad_menu_open				= "Editer questions ouvertes";
$ad_menu_stat           	= "Statistiques";
$ad_menu_cookie         	= "Cookies";
$ad_menu_session        	= "Voir les sessions";
$ad_menu_adminlog       	= "Voir l'Adminlog";
$ad_menu_passwd         	= "Modifier mot de passe";
$ad_menu_logout         	= "D&eacute;connexion";
$ad_menu_startpage      	= "Page de d&eacute;marrage";

// Nachrichten
$ad_msg_identify 			= "Veuillez vous identifier.";
$ad_msg_passmatch 			= "Les deux mot de passe doivent &ecirc;tre <b>identiques</b>!";
$ad_msg_savedsuc_1 			= "Le profil de";
$ad_msg_savedsuc_2 			= "a &eacute;t&eacute; enregistr&eacute; correctement.";
$ad_msg_mysqlerr 			= "Suite &agrave; une erreur de <b>base de donn&eacute;es</b> le profil n'a pas pu &ecirc;tre enregistr&eacute;.";
$ad_msg_noauth 				= "Vous n'&ecirc;tes pas autoris&eacute; &agrave; faire cela.";

// Allgemein
$ad_gen_page 				= "Page";
$ad_gen_of 					= "de";
$ad_gen_lastpage 			= "Page pr&eacute;c&eacute;dente";
$ad_gen_nextpage 			= "Page suivante";
$ad_gen_save 				= "Enregistrer";
$ad_gen_reset 				= "Reset";
$ad_gen_yes 				= "Oui";
$ad_gen_no 					= "Non";
$ad_gen_top 				= "D&eacute;but de page";
$ad_gen_ncf 				= "Pas de cat&eacute;gorie trouv&eacute;e!";
$ad_gen_delete 				= "Supprimer";

// Benutzerverwaltung
$ad_user 					= "Administration des utilisateurs";
$ad_user_username 			= "Utilisateurs enregistr&eacute;s";
$ad_user_rights 			= "Droits des utilisateurs";
$ad_user_edit 				= "editer";
$ad_user_delete 			= "supprimer";
$ad_user_add 				= "Ajouter utilisateur";
$ad_user_profou 			= "Profil de l'utilisateur";
$ad_user_name 				= "Nom";
$ad_user_password 			= "Mot de passe";
$ad_user_confirm 			= "Confirmation";
$ad_user_rights 			= "Droits";
$ad_user_del_1 				= "L'utilisateur";
$ad_user_del_2 				= "doit &ecirc;tre supprim&eacute;?";
$ad_user_del_3 				= "Etes vous s&ucirc;r?";
$ad_user_deleted			= "L'utilisateur a &eacute;t&eacute; supprim&eacute; correctement.";

// Beitragsverwaltung
$ad_entry_aor 				= "Administration des articles";
$ad_entry_id 				= "Identifiant";
$ad_entry_topic 			= "Titre";
$ad_entry_action 			= "Action";
$ad_entry_edit_1 			= "Editer article";
$ad_entry_edit_2 			= "Editer article";
$ad_entry_theme 			= "Theme:";
$ad_entry_content 			= "Contenu:";
$ad_entry_keywords 			= "Mots clef:";
$ad_entry_author 			= "Auteur:";
$ad_entry_category 			= "Cat&eacute;gorie:";
$ad_entry_active 			= "Actif?";
$ad_entry_date 				= "Date:";
$ad_entry_changed 			= "Chang&eacute;?";
$ad_entry_changelog 		= "Changelog:";
$ad_entry_commentby 		= "Comment&eacute; par";
$ad_entry_comment 			= "Commentaires:";
$ad_entry_save 				= "Enregistrer";
$ad_entry_delete 			= "Supprimer";
$ad_entry_delcom_1 			= "Etes vous s&ucirc;r que le commentaire de l'utilisateur";
$ad_entry_delcom_2 			= "doit &ecirc;tre supprim&eacute;?";
$ad_entry_commentdelsuc 	= "Le commentaire a &eacute;t&eacute; <b>correctement</b> supprim&eacute;.";
$ad_entry_back 				= "Retour vers l'article";
$ad_entry_commentdelfail 	= "Le commentaire n'a <b>pas</b> &eacute;t&eacute; supprim&eacute;.";
$ad_entry_savedsuc 			= "Les modifications ont &eacute;t&eacute;s correctement enregistr&eacute;es.";
$ad_entry_savedfail 		= "Une erreur de <b>base de donn&eacute;es</b> est survenue.";
$ad_entry_del_1 			= "Etes vous s&ucirc;r que l'article";
$ad_entry_del_2 			= "de";
$ad_entry_del_3 			= "doit &ecirc;tre supprim&eacute;?";
$ad_entry_delsuc 			= "Entr&eacute;e <b>correctement</b> supprim&eacute;.";
$ad_entry_delfail 			= "Entr&eacute;e n'a <b>pas</b> &eacute;t&eacute; supprim&eacute;e!";
$ad_entry_back 				= "retour";


// Newsverwaltung
$ad_news_header 			= "Titre d'Article";
$ad_news_text 				= "Texte";
$ad_news_link_url 			= "Lien: (<b>sans http://</b>)!";
$ad_news_link_title 		= "Titre du lien:";
$ad_news_link_target 		= "Destination du lien";
$ad_news_link_window 		= "Lien ouvre nouvelle fen&ecirc;tre";
$ad_news_link_faq 			= "Lien hors de la FAQ";
$ad_news_add 				= "Ajout Nouveaut&eacute;";
$ad_news_id 				= "#";
$ad_news_headline 			= "Titre";
$ad_news_date 				= "Date";
$ad_news_action 			= "Action";
$ad_news_update 			= "&eacute;diter";
$ad_news_delete 			= "supprimer";
$ad_news_nodata 			= "Pas de donn&eacute;es trouv&eacute;s dans la base";
$ad_news_updatesuc 			= "La nouveaut&eacute; a &eacute;t&eacute; enregistr&eacute;e.";
$ad_news_del 				= "Etes vous s&ucirc;r de vouloir supprimer cette nouveaut&eacute;?";
$ad_news_yesdelete 			= "oui, supprimer!";
$ad_news_nodelete 			= "non!";
$ad_news_delsuc 			= "Nouveaut&eacute; supprim&eacute;e.";
$ad_news_updatenews 		= "Editer Nouveaut&eacute;";

// Kategorieverwaltung
$ad_categ_new 				= "Ajouter nouvelle cat&eacute;gorie";
$ad_categ_catnum 			= "Cat&eacute;gorie num&eacute;ro:";
$ad_categ_subcatnum 		= "Sous-cat&eacute;gorie num&eacute;ro:";
$ad_categ_nya 				= "<i>non disponible!</i>";
$ad_categ_titel 			= "Titre de cat&eacute;gorie:";
$ad_categ_add				= "Ajout de cat&eacute;gorie";
$ad_categ_existing 			= "Cat&eacute;gories existantes";
$ad_categ_id 				= "#";
$ad_categ_categ 			= "Cat&eacute;gorie";
$ad_categ_subcateg 			= "Sous cat&eacute;gorie";
$ad_categ_titel 			= "Titre de cat&eacute;gorie";
$ad_categ_action 			= "Action";
$ad_categ_update 			= "&eacute;diter";
$ad_categ_delete 			= "supprimer";
$ad_categ_updatecateg 		= "Editer cat&eacute;gorie";
$ad_categ_nodata 			= "Pas trouv&eacute; dans la base";
$ad_categ_remark 			= "Veuillez noter que les articles existants ne vont plus appara&icirc;tre, si vous supprimez la cat&eacute;gorie. Vous devez assigner une nouvelle cat&eacute;gorie pour les articles ou les supprimer.";
$ad_categ_edit_1 			= "Editer";
$ad_categ_edit_2 			= "Cat&eacute;gorie";
$ad_categ_add 				= "ajouter cat&eacute;gorie";
$ad_categ_added 			= "La cat&eacute;gorie a &eacute;t&eacute; ajout&eacute;e.";
$ad_categ_updated 			= "La cat&eacute;gorie a &eacute;t&eacute; &eacute;dit&eacute;e.";
$ad_categ_del_yes 			= "oui, supprimer!";
$ad_categ_del_no 			= "non!";
$ad_categ_deletesure 		= "Etes vous s&ucirc;r de vouloir supprimer cette cat&eacute;gorie?";
$ad_categ_deleted 			= "Cat&eacute;gorie supprim&eacute;e.";

// Cookies
$ad_cookie_cookiesuc 		= "Le Cookie a &eacute;t&eacute; &eacute;crit avec <b>succ&egrave;s</b>.";
$ad_cookie_already 			= "Un cookie est d&eacute;j&agrave; existant. Vous avez les options suivantes:";
$ad_cookie_again 			= "R&eacute;appliquer le cookie";
$ad_cookie_delete 			= "supprimer le cookie";
$ad_cookie_no 				= "Il n'y a pas de cookie enregistr&eacute;. Avec un cookie vous pouvez enregistrer votre entr&eacute;e au script, sans devoir retaper le mot de passe. Vous avez les options suivantes:";
$ad_cookie_set 				= "Placer un cookie";
$ad_cookie_deleted 			= "Cookie supprim&eacute;.";

// Adminlog
$ad_adminlog 				= "AdminLog";

// Passwd
$ad_passwd_cop 				= "Modifier votre mot de passe";
$ad_passwd_old 				= "Ancien  mot de passe:";
$ad_passwd_new 				= "Nouveau  mot de passe:";
$ad_passwd_con 				= "Confirmer:";
$ad_passwd_change 			= "Modifier mot de passe";
$ad_passwd_suc 				= "Mot de passe modifi&eacute;.";
$ad_passwd_remark 			= "<b>ATTENTION:</b><br>Le Cookie a &eacute;t&eacute; remplac&eacute;!";
$ad_passwd_fail 			= "L'ancien mot de passe <b>doit</b> &ecirc;tre entr&eacute; correctement et les nouveaux doivent <b>correspondre</b>.";

// Adduser
$ad_adus_adduser 			= "Ajouter utilisateur";
$ad_adus_name 				= "Nom:";
$ad_adus_password 			= "Mot de passe:";
$ad_adus_add 				= "Ajouter utilisateur";
$ad_adus_suc 				= "Utilisateur <b>ajout&eacute;</b>.";
$ad_adus_edit 				= "Editer le profil";
$ad_adus_dberr 				= "<b>erreur de base de donn&eacute;es</b>";
$ad_adus_exerr 				= "Nom d'utilisateur <b>existe d&eacute;j&agrave;</b>.";

// Sessions
$ad_sess_id 				= "ID";
$ad_sess_sid 				= "Session ID";
$ad_sess_ip 				= "IP";
$ad_sess_time 				= "Temps";
$ad_sess_pageviews 			= "Page Vues";
$ad_sess_search 			= "Rechercher";
$ad_sess_sfs 				= "Recherche de sessions";
$ad_sess_s_ip 				= "IP:";
$ad_sess_s_minct 			= "Actions min.:";
$ad_sess_s_date 			= "Date";
$ad_sess_s_after 			= "apr&egrave;s";
$ad_sess_s_before 			= "avant";
$ad_sess_s_search 			= "Chercher";
$ad_sess_session 			= "Session";
$ad_sess_r 					= "Rechercher r&eacute;sultats pour";
$ad_sess_referer 			= "Referer:";
$ad_sess_browser 			= "Navigateur:";
$ad_sess_ai_rubrik 			= "Cat&eacute;gorie:";
$ad_sess_ai_artikel 		= "Article:";
$ad_sess_ai_sb 				= "Mots clef:";
$ad_sess_ai_sid 			= "Session ID:";
$ad_sess_back 				= "Retour";

// Statistik
$ad_rs 						= "Statistiques";
$ad_rs_rating_1 			= "Le classement de ";
$ad_rs_rating_2 			= "Utilisateur dit:";
$ad_rs_red 					= "Rouge";
$ad_rs_green 				= "Vert";
$ad_rs_altt 				= "avec une moyenne inf&eacute;rieure &agrave; 2";
$ad_rs_ahtf 				= "avec une moyenne sup&eacute;rieure de 4";
$ad_rs_no 					= "Pas de classement disponible";

// Auth
$ad_auth_insert 			= "Veuillez entrer votre nom d'utilisateur et votre mot de passe.";
$ad_auth_user 				= "Utilisateur:";
$ad_auth_passwd 			= "Mot de passe:";
$ad_auth_ok 				= "OK";
$ad_auth_reset 				= "Reset";
$ad_auth_fail 				= "Pas de combination d'entr&eacute;e trouv&eacute;e.";
$ad_auth_sess 				= "La session ID est d&eacute;pass&eacute;e.";

// Added v0.8 - 24.05.2001 - Bastian - Admin
$ad_config_edit 			= "Editer configuration";
$ad_config_save 			= "Sauver configuration";
$ad_config_reset 			= "Reset";
$ad_config_saved 			= "La configuration a bien &eacute;t&eacute; enregistr&eacute;e.";
$ad_config_file 			= "config_french.dat";
$ad_menu_editconfig 		= "Editer configuration";
$ad_att_none 				= "Pas d'attachments";
$ad_att_att 				= "Attachments:";
$ad_att_add 				= "Attacher fichier";
$ad_entryins_suc 			= "Article engregistr&eacute;.";
$ad_entryins_fail 			= "Une erreur est survenue.";
$ad_att_del 				= "Supprimer";
$ad_att_nope 				= "Les attachement ne peuvent &ecirc;tre ajout&eacute;s qu'en &eacute;dition.";
$ad_att_delsuc 				= "L'attachment a &eacute;t&eacute; supprim&eacute;.";
$ad_att_delfail 			= "Une erreur est survenue.";
$ad_entry_add 				= "Cr&eacute;er Article";

// Added v0.85 - 08.06.2001 - Bastian - Admin
$ad_csv_make 				= "Une suavegarde est une image compl&egrave;te de la base de donn&eacute;es.";
$ad_csv_link 				= "T&eacute;l&eacute;charger la sauvegarde";
$ad_csv_head 				= "Effectuer une sauvegarde";
$ad_att_addto 				= "Ajouter un attachement &agrave; un article";
$ad_att_addto_2 			= "";
$ad_att_att 				= "Fichier:";
$ad_att_butt 				= "OK";
$ad_att_suc 				= "Le fichier a &eacute;t&eacute; attach&eacute;.";
$ad_att_fail 				= "Une erreur est survenue.";
$ad_att_close 				= "Fermer cette fen&ecirc;tre";

// Added v0.85 - 08.07.2001 - Bastian - Admin
$ad_csv_restore 			= "Avec ce formulaire, vous pouvez restaurer le contenu de la base de donn&eacute;es, sauvegard&eacute; avec phpmyfaq. Veuillez noter que la base actuelle va &ecirc;tre &eacute;cras&eacute;e.";
$ad_csv_file 				= "Fichier";
$ad_csv_ok 					= "OK";
$ad_csv_linklog 			= "backup LOGs";
$ad_csv_linkdat 			= "backup data";
$ad_csv_head2 				= "Restauration";
$ad_csv_no 					= "Ca ne semble pas &ecirc;tre une sauvegarde de phpmyfaq.";
$ad_csv_prepare 			= "Pr&eacute;paration de la base de donn&eacute;es...";
$ad_csv_process 			= "interrogation...";
$ad_csv_of 					= "de";
$ad_csv_suc 				= "effectu&eacute;e.";
$ad_csv_backup 				= "Sauvegarde";
$ad_csv_rest 				= "Restaurer une sauvegarde";

// Added v0.8 - 25.05.2001 - Bastian - Admin
$ad_menu_backup 			= "Sauvegarde";
$ad_logout 					= "Session termin&eacute;e avec succ&egrave;s.";
$ad_news_add 				= "Ajouter nouvelle";
$ad_news_edit 				= "Editer nouvelle";
$ad_cookie 					= "Cookies";
$ad_sess_head 				= "Voir sessions";

// Added v1.1 - 06.01.2002 - Bastian
$ad_menu_categ_edit 		= "Administration des cat&eacute;gories";
$ad_menu_stat 				= "Statistiques";
$ad_kateg_add 				= "ajouter cat&eacute;gorie";
$ad_kateg_rename 			= "Renommer";
$ad_adminlog_date 			= "Date";
$ad_adminlog_user 			= "Utilisateur";
$ad_adminlog_ip 			= "Adresse IP";

$ad_stat_sess 				= "Sessions";
$ad_stat_days 				= "Jours";
$ad_stat_vis 				= "Sessions (Visites)";
$ad_stat_vpd 				= "Visites par jour";
$ad_stat_fien 				= "Premier Log";
$ad_stat_laen 				= "Dernier Log";
$ad_stat_browse 			= "parcours Sessions";
$ad_stat_ok 				= "OK";

$ad_sess_time 				= "Temps";
$ad_sess_sid 				= "Session-ID";
$ad_sess_ip 				= "Adresse IP";

$ad_ques_take 				= "Prendre question et &eacute;diter";
$no_cats 					= "Pas de cat&eacute;gorie trouv&eacute;e!";

// Added v1.1 - 17.01.2002 - Bastian
$ad_log_lger 				= "Utilisateur ou mot de passe invalide.";
$ad_log_sess 				= "Session expir&eacute;e.";
$ad_log_edit 				= "Le formulaire \"Editer usager\" a &eacute;t&eacute; appel&eacute;: ";
$ad_log_crea 				= "Le formulaire \"Nouvel article\" a &eacute;t&eacute; appel&eacute;.";
$ad_log_crsa 				= "Il y a une nouvelle publication.";
$ad_log_ussa 				= "Les donn&eacute;es de l'usager suivant ont &eacute;t&eacute;s modifi&eacute;es: ";
$ad_log_usde 				= "L'usager suivant a &eacute;t&eacute; supprim&eacute;: ";
$ad_log_beed 				= "Le formulaire d'&eacute;dition a &eacute;t&eacute; &eacute;dit&eacute;: ";
$ad_log_bede 				= "L'article suivant a &eacute;t&eacute; supprim&eacute;: ";

$ad_start_visits 			= "Visites";
$ad_start_articles 			= "Articles";
$ad_start_comments 			= "Commentaires";

$ad_user_chpw 				= "Vous pouvez uniquement modifier le mot de passe de l'usager actuel via \"".$ad_menu_passwd."\".";

// Added v1.1 - 30.01.2002 - Bastian
$ad_categ_paste 			= "coller";
$ad_categ_cut 				= "couper";
$ad_categ_copy 				= "copier";
$ad_categ_process 			= "Traitement de cat&eacute;gories...";

// Added v1.1.4 - 07.05.2002 - Thorsten
$err_NotAuth				= "<b>Cel&agrave; ne vous est pas permis.</b>";

// Added v1.2.3 - 29.11.2002 - Thorsten
$msgPreviusPage				= "page pr&eacute;c&eacute;dente";
$msgNextPage				= "page suivante";
$msgPageDoublePoint			= "Page: ";
$msgMainCategory			= "Cat&eacute;gorie";

// Added v1.2.4 - 30.01.2003 - Thorsten
$ad_passwdsuc				= "Votre mot de passe a &eacute;t&eacute; modifi&eacute;!";

// Added v1.3.0 - 04.03.2003 - Thorsten
$msgPDF						= "Afficher en tant que PDF";
$ad_xml_head				= "Sauvegarde XML";
$ad_xml_hint				= "Sauvegarder tous les articles de votre FAQ dans un fichier XML.";
$ad_xml_gen					= "cr&eacute;er fichier XML";
$ad_entry_locale			= "Langue";
$msgLangaugeSubmit			= "modifier langue";

// Added v1.3.1 - 01.05.2003 - Thorsten
$ad_entry_preview			= "Pr&eacute;visualisation";
$ad_attach_1				= "Veuillez d'abord choisir un r&eacute;pertoire pour les attachments dans la configuration.";
$ad_attach_2				= "Veuillez d'abord choisir un r&eacute;pertoire pour le lien dans la configuration.";
$ad_attach_3				= "Le fichier attachment.php ne peut &ecirc;tre ouvert sans authentification pr&eacute;alable.";
$ad_attach_4				= "Le fichier attach&eacute; doit &ecirc;tre inf&eacute;rieur &agrave;  ".$attmax." Bytes.";
$ad_menu_export				= "Exporter votre FAQ";
$ad_export_1				= "Cr&eacute;ation RSS-Feed activ&eacute;e";
$ad_export_2				= ".";
$ad_export_file				= "Erreur: Ne peut &eacute;crire fichier.";
$ad_export_news				= "News RSS-Feed";
$ad_export_topten			= "Top 10 RSS-Feed";
$ad_export_latest			= "5 derniers enregistrements RSS-Feed";
$ad_export_pdf				= "PDF-Exportation de tous les enregistrements";
$ad_export_generate			= "cr&eacute;ation de RSS-Feed";

$rightsLanguage[0]			= "ajouter utilisateur";
$rightsLanguage[1]			= "&eacute;diter  utilisateur";
$rightsLanguage[2]			= "supprimer  utilisateur";
$rightsLanguage[3]			= "ajouter enregistrement";
$rightsLanguage[4]			= "&eacute;diter  enregistrement";
$rightsLanguage[5]			= "supprimer  enregistrement";
$rightsLanguage[6]			= "afficher les logs";
$rightsLanguage[7]			= "afficher le log admin";
$rightsLanguage[8]			= "supprimer commentaire";
$rightsLanguage[9]			= "ajouter nouveaut&eacute;";
$rightsLanguage[10]			= "&eacute;diter nouveaut&eacute;";
$rightsLanguage[11]			= "supprimer nouveaut&eacute;";
$rightsLanguage[12]			= "ajouter cat&eacute;gorie";
$rightsLanguage[13]			= "&eacute;diter cat&eacute;gorie";
$rightsLanguage[14]			= "supprimer cat&eacute;gorie";
$rightsLanguage[15]			= "changer mot de passe";
$rightsLanguage[16]			= "&eacute;diter configuration";
$rightsLanguage[17]			= "ajouter attachments";
$rightsLanguage[18]			= "supprimer attachments";
$rightsLanguage[19]			= "cr&eacute;er sauvegarde";
$rightsLanguage[20]			= "restorer sauvegarde";
$rightsLanguage[21]			= "supprimer questions ouvertes";

$msgAttachedFiles			= "fichiers attach&eacute;s:";

// Added v1.3.2 - 15.05.2003 - Thorsten
$help_BBCode_01				= "Qu'est-ce que BB Code?";
$help_BBCode_02				= "BB code est une petite collection d'instructions HTML. Cela vous permet d'ajouter certaines fonctions ou de mettre en page votre enregistrement.";
$help_BBCode_03				= "Liens URL";
$help_BBCode_04				= "Ecrivez simplement l'URL compl&egrave;te et el lien sera automatiquement mis en place:";
$help_BBCode_05				= "Le code [url] fonctionne selon la m&eacute;thode d&eacute;crite ci-dessous. Utilisez le lien comme dans l'exemple suivant: (le BB code est rouge)";
$help_BBCode_06				= "Dans cet exemple, le BB code g&eacute;n&egrave; automatiquement un lien vers l'URL. Avec un clic, une nouvelle fen&ecirc;tre s'ouvre.";
$help_BBCode_07				= "Gras et italique, soulignement";
$help_BBCode_08				= "Vous pouvez utiliser utiliser le gras ou l'italique ou le soulignement, en ins&eacute;rant le texte entre les BB code [b][/b] ou [i][/i] ou [u][/u]. Ces trois instructions peuvent &ecirc;tre combin&eacute;es.";
$help_BBCode_09				= "Listes et texte centr&eacute;";
$help_BBCode_10				= "In order to center a part of your text, you can use the [center] instruction:";
$help_BBCode_11				= "A list shows each object in the list, all with a bullet symbol before it. In order to provide a list, use [ul][/ul] and each object indicates tags within the list, by using one [li]. Example:";
$help_BBCode_12				= "That would result in the following list:";
$help_BBCode_13				= "Insert from pictures";
$help_BBCode_14				= "In order to insert a picture into your record, you can use the URL of the picture within the BB code (BB code is red):";
$help_BBCode_15				= "Note: The \"http://\" part of the URL is NECESSARY for [img] code!";
$help_BBCode_16				= "Quote contributions";
$help_BBCode_17				= "In order to refer to a text, which is e.g. on another side, copy the text simply into your record within the BB code (BB code is red):";
$help_BBCode_18				= "In the example the text is in-reprimanded automatically by the BB code and inserted between two horizontal lines.";
$help_BBCode_19				= "Code instruction";
$help_BBCode_20				= "Similarly to the [quote] code, this code adds &lt;PRE&gt; Instructions in addition, in order to maintain formatting. That is particularly helpful, in order to represent e.g. programming code.";
$help_BBCode_21				= "In this example the BB code maintains the formatting automatically.";
$help_BBCode_22				= "For code examples in PHP, you can use the following BB code alternatively:";
$help_BBCode_23				= "In use of the [php] code is represented with syntax Highlighting.";
$help_BBCode_24				= "References";
$help_BBCode_25				= "You mustn't use HTML and BB code at the same time, in order to implement the same function. Further you must with the BB code lower case respect (you can use [url] only!).";

// Added v1.3.3 - 27.05.2003 - Thorsten
$ad_user_action             = "action";
$ad_entry_email				= "adresse email:";
$ad_entry_allowComments		= "autoriser les commentaires";
$msgWriteNoComment        	= "Vous ne pouvz pas commenter cet enregistrement";
$ad_user_realname			= "Nom r&eacute;el:";
$ad_export_generate_pdf		= "g&eacute;n&eacute;rer un fichier PDF";
$ad_export_full_faq			= "Votre FAQ en PDF: ";
$err_bannedIP				= "Votre IP n'est pas autoris&eacute;e.";
$err_SaveQuestion			= "Les champs requis sont <b>votre nome</b>, <b>votre adresse email</b> et <b>votre question</b>!<br><br><a href=\"javascript:history.back();\">retour page pr&eacute;c&eacute;dente</a><br><br>\n";

// added v1.3.4 - 23.07.2003 - Thorsten
$ad_entry_fontcolor         = "Font color: ";
$ad_entry_fontsize          = "Font size: ";
?>