<?php

/******************************************
* Priority of the bug 7 -> high, 1 -> low *
*******************************************/
$def_priority=array();
$def_priority[-1] = Lang::getLanguageString("undetermined");
$def_priority[0]=Lang::getLanguageString("plow");
$def_priority[1]="1";
$def_priority[2]="2";
$def_priority[3]="3";
$def_priority[4]="4";
$def_priority[5]="5";
$def_priority[6]="6";
$def_priority[7]=Lang::getLanguageString("phigh");

/*************************************************
* Color of the priority red ->high, green -> low *
**************************************************/
$def_priorityColor=array();
$def_priorityColor[0]="#11EE00";
$def_priorityColor[1]="#33CC00";
$def_priorityColor[2]="#55AA00";
$def_priorityColor[3]="#778800";
$def_priorityColor[4]="#996600";
$def_priorityColor[5]="#BB4400";
$def_priorityColor[6]="#DD2200";
$def_priorityColor[7]="#FF0000";

/********************
* Status of the bug *
*********************/

$def_status=array();
$def_status[-1] = Lang::getLanguageString("undetermined");
$def_status[0]=Lang::getLanguageString("open");
$def_status[1]=Lang::getLanguageString("closed");
$def_status[2]=Lang::getLanguageString("pending");
$def_status[3]=Lang::getLanguageString("deleted");
$def_status[4]=Lang::getLanguageString("re-open");
$def_status[5]=Lang::getLanguageString("verified");
// see at the end of this file for the next two examples
// $def_status[6]="pause";
// $def_status[7]="wf_status";

$def_severity = array();
$def_severity[-1] = Lang::getLanguageString("undetermined");
$def_severity[1] = Lang::getLanguageString("evolution");
$def_severity[2] = Lang::getLanguageString("annoyance");
$def_severity[3] = Lang::getLanguageString("content");
$def_severity[4] = Lang::getLanguageString("significant");
$def_severity[5] = Lang::getLanguageString("blockant");

$def_resolution = array();
$def_resolution[-1] = Lang::getLanguageString("undetermined");
$def_resolution[1] = Lang::getLanguageString("fixed");
$def_resolution[2] = Lang::getLanguageString("notabug");
$def_resolution[3] = Lang::getLanguageString("wontfix");
$def_resolution[4] = Lang::getLanguageString("deferred");
$def_resolution[5] = Lang::getLanguageString("worksforme");
$def_resolution[6] = Lang::getLanguageString("duplicate");

// indicate which states are under workflow control
// no normal user can change from this state, except via workflow
// admin user can override
// WARNING!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// if you use this, make sure you have the workflow module installed as well!
$def_status_wf = array();
//$def_status_wf[7] = 11;  // status 7 is under control of workflow activity with activityid=11 (unique over all defined workflows)

// indicate which status defines a pause
$def_status_pause = 6;  // status 6 is the pause state
?>
